Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.event
Interface GraphModelEvent.GraphModelChange

All Superinterfaces:
  GraphModelEvent.GraphViewChange

All Known Implementing Classes:
  DefaultGraphModel.GraphModelEdit, DefaultGraphModel.GraphModelLayerEdit

Enclosing interface:
  GraphModelEvent

public static interface GraphModelEvent.GraphModelChange
extends GraphModelEvent.GraphViewChange

Defines the interface for objects that may be included into a GraphModelEvent to describe a model change.

Method Summary
`Object[]` | `getInserted()` Returns the cells that have been inserted into the model.
`Map` | `getPreviousAttributes()` Returns a map that contains (object, map) pairs of the attributes that have been stored in the model.
`ConnectionSet` | `getPreviousConnectionSet()`
`ParentMap` | `getPreviousParentMap()`
`Object[]` | `getRemoved()` Returns the cells that have been removed from the model.
`CellView[]` | `getViews(GraphLayoutCache view)` Allows a `GraphLayoutCache` to retrieve an array of `CellViews` that was previously stored with `putViews(GraphLayoutCache, CellView[])`.
`void` | `putViews(GraphLayoutCache view, CellView[] cellViews)` Allows a `GraphLayoutCache` to store cell views for cells that have been removed.

Methods inherited from interface org.jgraph.event.GraphModelEvent.GraphViewChange
`getAttributes, getChanged, getContext, getSource`

Method Detail

### getInserted

    public Object[] getInserted()

  Returns the cells that have been inserted into the model.

### getRemoved

    public Object[] getRemoved()

  Returns the cells that have been removed from the model.

### getPreviousAttributes

    public Map getPreviousAttributes()

  Returns a map that contains (object, map) pairs of the attributes that have been stored in the model.

### getPreviousConnectionSet

    public ConnectionSet getPreviousConnectionSet()

### getPreviousParentMap

    public ParentMap getPreviousParentMap()

### putViews

    public void putViews(GraphLayoutCache view,
                         CellView[] cellViews)

  Allows a `GraphLayoutCache` to store cell views for cells that have been removed. Such cell views are used for re-insertion and restoring the visual attributes.

### getViews

    public CellView[] getViews(GraphLayoutCache view)

  Allows a `GraphLayoutCache` to retrieve an array of `CellViews` that was previously stored with `putViews(GraphLayoutCache, CellView[])`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2003-2004 Gaudenz Alder. All rights reserved.